package org.springblade.system.service;

import org.springblade.common.core.domain.AjaxResult;
import org.springblade.system.domain.FileIndexDto;

import java.util.List;

/**
 * @Author：liang.chao
 * @Date：2025/10/30 - 16:21
 */
public interface FileIndexService {

    List<FileIndexDto> getList(FileIndexDto dto);

    AjaxResult add(FileIndexDto dto);

    AjaxResult update(FileIndexDto dto);

    AjaxResult del(FileIndexDto dto);
}
